module.exports = function(sock, emitter, {debug} = {}) {
  sock.onopen = function(event) {
    if (!sock.old) {
      if (debug) {
        console.log('[SCALEDRONE DEBUGGER]: open', event);
      }
      emitter.trigger('open', event);
    }
  };

  sock.onmessage = function(event) {
    if (!sock.old) {
      if (debug) {
        console.log('[SCALEDRONE DEBUGGER]: message', event);
      }
      emitter.trigger('message', event);
    }
  };

  sock.onclose = function(event) {
    if (!sock.old) {
      if (debug) {
        console.log('[SCALEDRONE DEBUGGER]: close', event);
      }
      emitter.trigger('close', event);
    }
  };

  sock.onerror = function(error) {
    if (!sock.old) {
      if (debug) {
        console.log('[SCALEDRONE DEBUGGER]: error', error);
      }
      emitter.trigger('error', error);
    }
  };
};
